CADxp: Changement calque bloc "U" - CADxp

Aller au contenu

Page 1 sur 1
  • Vous ne pouvez pas commencer un sujet
  • Vous ne pouvez pas répondre à ce sujet

Changement calque bloc "U"

#1 L'utilisateur est hors-ligne   Demixav 

  • ceinture noire 1er dan
  • Groupe : Membres
  • Messages : 570
  • Inscrit(e) : 28-mars 12
  • LocationLa pampa du Gard

Posté 14 décembre 2016 - 10:05

Bonjour,

J'ai reçu un fichier de réseau, fait avec Covadis je pense, et qui comporte plusieurs blocs nommés *Uxx (xx étant des chiffres...), des blocs "anonymes!

Je souhaite faire un peu de ménage dans les calques mais lors du transfert de ces blocs vers un autre calque, leur définition reste sur l'ancien calque et je ne peux donc pas purger les calques...
Et ces blocs, je ne peux pas les éditer! dès que je fais un clic droit pour éditer un bloc, il me demande un nom...
Le seul moyen est d'exploser le bloc et je voudrais éviter ça!

Un autre moyen pour changer ces blocs et leur définition vers un autre calque?

Merci!
Xav
AutoCad Map 3D 2010 - Covadis v13
Windows 7 - 64b
0

#2 L'utilisateur est hors-ligne   La Lozère 

  • ceinture noire 4em dan
  • Groupe : Membres
  • Messages : 2125
  • Inscrit(e) : 28-juin 06
  • LocationVienne (38) - Etude APA - A480

Posté 14 décembre 2016 - 10:24

Bonjour,
Et avec la commande de fusion de calque "_laymrg", tu as essayé....
www.cad-is.fr
Autocad Map 2015/2017 - Covadis/Autopiste V15.0c - Mensura Genius V8
Nous n’héritons pas de la Terre de nos ancêtres, nous l’empruntons à nos enfants
0

#3 L'utilisateur est hors-ligne   Demixav 

  • ceinture noire 1er dan
  • Groupe : Membres
  • Messages : 570
  • Inscrit(e) : 28-mars 12
  • LocationLa pampa du Gard

Posté 14 décembre 2016 - 10:34

Bonjour la Lozère,

Oui, j'ai essayé a fusion de calques, ca ne fonctionne pas!

J'ai essayé également le transfert d'un calque vers un autre, mais je comprend pas la commande!
Il me demande bien le calque à transférer mais apres avoir sélectionné le calque, je fais OK et y'a rien de plus! pas de demande de calque de destination et aucun changement du calque sélectionné au départ...
AutoCad Map 3D 2010 - Covadis v13
Windows 7 - 64b
0

#4 L'utilisateur est hors-ligne   FlyingLotus 

  • Advanced Member
  • PipPipPip
  • Groupe : Membres
  • Messages : 31
  • Inscrit(e) : 16-juillet 16

Posté 14 décembre 2016 - 14:05

Voir le messageDemixav, le 14 décembre 2016 - 10:05 , dit :

Bonjour,

J'ai reçu un fichier de réseau, fait avec Covadis je pense, et qui comporte plusieurs blocs nommés *Uxx (xx étant des chiffres...), des blocs "anonymes!

Je souhaite faire un peu de ménage dans les calques mais lors du transfert de ces blocs vers un autre calque, leur définition reste sur l'ancien calque et je ne peux donc pas purger les calques...
Et ces blocs, je ne peux pas les éditer! dès que je fais un clic droit pour éditer un bloc, il me demande un nom...
Le seul moyen est d'exploser le bloc et je voudrais éviter ça!

Un autre moyen pour changer ces blocs et leur définition vers un autre calque?

Merci!
Xav

Il existe la commande PARCOURCALQUES qui permet de sélectionner les calques afin de voir quels éléments sont dessus. Ca marche même pour les éléments nestés dans des blocs et ça permet de nettoyer rapidement un dessin. Peut-être que cette commande peut-être utile dans ce cas.

Ne pas oublier de décocher "restaurer à la fermeture" de manière à garder isolés le ou les calques sélectionnés.
0

#5 L'utilisateur est hors-ligne   (gile) 

  • ceinture rouge et blanche 8em dan
  • Groupe : Moderateurs
  • Messages : 10627
  • Inscrit(e) : 02-septembre 05

Posté 14 décembre 2016 - 14:23

Salut,

Les blocs anonymes "*U###" sont des blocs issus de bloc dynamiques.
Si tu modifies les calques dans la définition du bloc dynamique de base (pas anonyme) les modifications devraient se répecuter automatiquement dans tous les blocs anonymes issus de ce bloc.
Gilles Chanteau - gileCAD -
Développements sur mesure pour AutoCAD
Image IPB
0

#6 L'utilisateur est hors-ligne   Demixav 

  • ceinture noire 1er dan
  • Groupe : Membres
  • Messages : 570
  • Inscrit(e) : 28-mars 12
  • LocationLa pampa du Gard

Posté 14 décembre 2016 - 14:49

Bonjour Gilles,

Merci de ta réponse!
Heu... Ok, mais comment connaitre "le bloc dynamique de base" non plus?

@FlyingLotus, merci de ta réponse également mais ça ne répond pas à mon problème!
AutoCad Map 3D 2010 - Covadis v13
Windows 7 - 64b
0

#7 L'utilisateur est hors-ligne   bonuscad 

  • ceinture rouge et blanche 8em dan
  • Groupe : Membres
  • Messages : 4428
  • Inscrit(e) : 20-juin 03

Posté 14 décembre 2016 - 16:38

Citation

mais comment connaitre "le bloc dynamique de base"


Copie-colle en ligne de commande et selectionne ton bloc dynamique
(vla-get-effectivename (vlax-ename->vla-object (car (entsel))))


Mais en même temps, dans la palette de propriété tu as aussi le nom effectif du bloc??
Choisissez un travail que vous aimez et vous n'aurez pas à travailler un seul jour de votre vie. - Confucius
0

#8 L'utilisateur est hors-ligne   Demixav 

  • ceinture noire 1er dan
  • Groupe : Membres
  • Messages : 570
  • Inscrit(e) : 28-mars 12
  • LocationLa pampa du Gard

Posté 14 décembre 2016 - 16:55

Salut BonusCad,

Merci pour ta réponse!
Non, justement, j'ai un nom de bloc anonyme dans la palette de propriétés! genre *U34... comme ce que disait Gilles également...
J'ai testé ta ligne de commande, et il me renvoie le nom du bloc "*U34"! Ce bloc est un bloc "simple", non dynamique...
AutoCad Map 3D 2010 - Covadis v13
Windows 7 - 64b
0

#9 L'utilisateur est hors-ligne   (gile) 

  • ceinture rouge et blanche 8em dan
  • Groupe : Moderateurs
  • Messages : 10627
  • Inscrit(e) : 02-septembre 05

Posté 14 décembre 2016 - 17:02

As tu essayé un CONTROLE (_AUDIT) du dessin ?
Peux-tu mettre un ligne un bout de fichier avec un ou deux de ces blocs ?
Gilles Chanteau - gileCAD -
Développements sur mesure pour AutoCAD
Image IPB
0

#10 L'utilisateur est hors-ligne   Demixav 

  • ceinture noire 1er dan
  • Groupe : Membres
  • Messages : 570
  • Inscrit(e) : 28-mars 12
  • LocationLa pampa du Gard

Posté 14 décembre 2016 - 17:18

Re,

Oui, j'aurai du préciser mais oui, j'ai bien tenté le controle, de purger... mais rien n'y fait! :(
Ci dessous un lien pour tester avec les deux blocs sous le même calque!
Merci!

PS : Je viens de m'apercevoir qu'en listant les blocs (cov edition→blocs→listing), et bien ces blocs anonymes n'apparaissent meme pas, ni meme leur calque...


Pour accéder au fichier, cliquez sur le lien ci-dessous et entrez les identifiants.
Fichier : http://www.partage-f...upload/l2vvvjrr
Taille du fichier : 68.32 KB
Utilisateur : wfnlt3q3
Mot de passe : u1qsxu31
Ce fichier est disponible durant 15 jours.
AutoCad Map 3D 2010 - Covadis v13
Windows 7 - 64b
0

#11 L'utilisateur est hors-ligne   (gile) 

  • ceinture rouge et blanche 8em dan
  • Groupe : Moderateurs
  • Messages : 10627
  • Inscrit(e) : 02-septembre 05

Posté 14 décembre 2016 - 17:34

Je n'ai pas trouvé comment ce type de bloc peut être créé, mais si le but est de purger les calques, on peut mettre tous les composants de tous les blocs sur le calque 0 avec l'expression LISP suivante :

(vlax-for b (vla-get-Blocks (vla-get-ActiveDocument (vlax-get-acad-object)))
  (if (= (vla-get-Islayout B) :vlax-false)
    (vlax-for o b (vla-put-Layer o "0"))
  )
)


Avec Edit_bloc (sur cette page), ça fonctionne aussi.
Gilles Chanteau - gileCAD -
Développements sur mesure pour AutoCAD
Image IPB
0

#12 L'utilisateur est hors-ligne   (gile) 

  • ceinture rouge et blanche 8em dan
  • Groupe : Moderateurs
  • Messages : 10627
  • Inscrit(e) : 02-septembre 05

Posté 14 décembre 2016 - 17:59

On peut aussi, si le dessin ne contient pas de blocs anonymes issus de blocs dynamiques, renommer tous ces blocs en supprimant l'atérisque, ce qui leur rendra un comportement "normal".

(vlax-for b (vla-get-Blocks (vla-get-ActiveDocument (vlax-get-acad-object)))
  (if (= (vla-get-Islayout B) :vlax-false)
    (vla-put-Name b (vl-string-left-trim "*" (vla-get-Name B)))
  )
)

Gilles Chanteau - gileCAD -
Développements sur mesure pour AutoCAD
Image IPB
0

#13 L'utilisateur est hors-ligne   Demixav 

  • ceinture noire 1er dan
  • Groupe : Membres
  • Messages : 570
  • Inscrit(e) : 28-mars 12
  • LocationLa pampa du Gard

Posté 15 décembre 2016 - 14:54

Re,

Merci Gilles pour tes réponses, tes lisp, et surtout d'avoir pris du temps à mon problème, j'apprécie!
J'apprécie encore plus car c'est nickel avec Edit_Bloc! J'ai pu supprimé ce foutu calque! :)

Par contre, au passage, avant d'utiliser Edit_Bloc, j'avoue avoir voulu essayer les expressions LISP que tu as écrites directement sur le post... mais je n'arrive tout simplement pas à les lancer quand c'est juste une expression comme ça, sans "nom" de lisp... J'ai recherché mais je ne trouve pas pour le lancement d'une expression lisp sans "defun".
Si c'est pas trop long, peux tu m'expliquer ou me renvoyer vers un post où c'est déjà expliqué?

Enfin, pour les lisps que j'utilises, aucun n'ont de fichiers .dcl ou .vlx... au contraire d'edit_bloc.
D'habitude, je mets les lisp dans un dossier perso dans le dossier d'AutoCad, dont j'ai mis le chemin de recherche sur AutoCad.
Là aussi j'ai cherché à savoir que faire de ces fichiers .dcl et .vlx, et les post parlent de les mettre donc dans les dossiers dont je viens de parler... mais moi, j'ai tout mis ensemble dans le meme dossier, c'est à dire les fichiers .lsp, .dcl, et .vlx... Ca a l'air de fonctionner normalement , mais est ce une erreur de tous les mettre ensemble?

Encore merci pour ton aide Gilles!
Xav
AutoCad Map 3D 2010 - Covadis v13
Windows 7 - 64b
0

#14 L'utilisateur est hors-ligne   (gile) 

  • ceinture rouge et blanche 8em dan
  • Groupe : Moderateurs
  • Messages : 10627
  • Inscrit(e) : 02-septembre 05

Posté 15 décembre 2016 - 20:15

salut,

Pour les expressions LISP il suffit de le copier et de les coller en ligne de commande ; puis valider par entrée.
C'est un des points fort du LISP : on peur directement entrer des expressions LISP en ligne de commande.

Les fichiers DCL sont des fichiers de description des boites de dialogue, il faut les placer dans un répertoire des chemins de recherche.
Les fichiers VLX sont le résultat de la compilation de fichiers LISP et, éventuellement de fichiers DCL. Pour edit_bloc, charger edit_bloc.vlx revient à charger tous les fichiers en une seule fois.
Gilles Chanteau - gileCAD -
Développements sur mesure pour AutoCAD
Image IPB
0

#15 L'utilisateur est hors-ligne   Demixav 

  • ceinture noire 1er dan
  • Groupe : Membres
  • Messages : 570
  • Inscrit(e) : 28-mars 12
  • LocationLa pampa du Gard

Posté 16 décembre 2016 - 09:30

Salut Gilles,

Et bien heu... j'ai bien essayé le copié-collé, mais une fois collé, j'ai toujours le curseur mobile, je peux dé/zoomer... mais impossible de sélectionner quoique ce soitet dès que je fais "entrée", voilà ce que me retourne l'expression LISP : "; erreur: no function definition: VLAX-GET-ACAD-OBJECT"... d'où mon post où je dis que je ne sais pas les lancer... <_<

Merci pour tes explications en tout cas!
Xav
AutoCad Map 3D 2010 - Covadis v13
Windows 7 - 64b
0

#16 L'utilisateur est hors-ligne   thierry.garré 

  • ceinture noire 5em dan
  • Groupe : Moderateurs
  • Messages : 2788
  • Inscrit(e) : 30-juin 04
  • LocationAubenas 07 le pays des Chataignes

Posté 16 décembre 2016 - 09:57

Bonjour,

j'ai déplacé le post dans le forum Autocad 2017, car finalement cela a trés peux a voir avec COVADIS.

Cordialement
Thierry Garré

Autocad-Autocad Map-Covadis-Autopiste-Infraworks 360

Mon "autre vie"
La Salamandre - Chambres d'hôtes en Ardèche
0

#17 L'utilisateur est hors-ligne   (gile) 

  • ceinture rouge et blanche 8em dan
  • Groupe : Moderateurs
  • Messages : 10627
  • Inscrit(e) : 02-septembre 05

Posté 16 décembre 2016 - 11:57

Voir le messageDemixav, le 16 décembre 2016 - 09:30 , dit :

Salut Gilles,

Et bien heu... j'ai bien essayé le copié-collé, mais une fois collé, j'ai toujours le curseur mobile, je peux dé/zoomer... mais impossible de sélectionner quoique ce soitet dès que je fais "entrée", voilà ce que me retourne l'expression LISP : "; erreur: no function definition: VLAX-GET-ACAD-OBJECT"... d'où mon post où je dis que je ne sais pas les lancer... <_<

Merci pour tes explications en tout cas!
Xav


"; erreur: no function definition: VLAX-GET-ACAD-OBJECT" est le message classique quand l'interface COM (Visual LISP) n'est pas chargée*.
Il faut faire (vl-load-com) pour charger cette interface. Une fois cette expression évaluée, les expressions ci-dessus devraient fonctionner. Elle ne demanderont pas de sélectionner des objets puis qu'elles agissent directement sur toutes les définitions de bloc.

* suivant la version d'AutoCAD, les LISP chargés au démarrage, les Express Tools chargés, l'interface peut être automatiquement chargée, ce qui explique l'oubli fréquent de cette expression dans les programmes non aboutis.
Gilles Chanteau - gileCAD -
Développements sur mesure pour AutoCAD
Image IPB
0

Partager ce sujet :


Page 1 sur 1
  • Vous ne pouvez pas commencer un sujet
  • Vous ne pouvez pas répondre à ce sujet

1 utilisateur(s) en train de lire ce sujet
0 membre(s), 1 invité(s), 0 utilisateur(s) anonyme(s)